READCLOCK(8)

NAME
readclock - read the AT's real time clock

SYNOPSIS
readclock [-nwW2]

DESCRIPTION
Readclock reads the AT's real time clock and sets the machine's time. It is usually the second thing done in /etc/rc, the first thing is setting the time zone by sourcing /etc/profile. This means that the clock is assumed to tell the wall clock time. If you want to run the clock in GMT then you can put TZ=GMT (or any other TZ value) in front of the readclock command.

OPTIONS

-n  Play-act, don't set the time nor change the calibration data, just show what would be done.

-w  Write the current time to the CMOS clock. Dangerous, see BUGS. Don't forget to use TZ=GMT in front of readclock if the clock should run in GMT.

-W  Like -w, but also sets the status registers of the CMOS clock to their proper values. (For if the clock suddenly runs at an odd pace or has stopped and the BIOS doesn't repair it.)

-2, Add 20 to any year before 2000. If your CMOS clock year can't run past 2000, then you can set it to 1980 and use -2 to correct the year. Together with -w the year minus 20 is written to the clock.

FILES

/etc/profile
    Timezone and other shell initialization code.

SEE ALSO
date(1), utime(1).

BUGS
Reported to not work on some AT's.

May mess up the clock royally when setting it (-w). Only if you have a very standard AT and you are not afraid of having your CMOS setup reset to the default with a "checksum error" should you use readclock to set the time of the CMOS clock. You have been warned.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)